package com.zcloud.basic.info.service;

import com.alibaba.cola.dto.MultiResponse;
import com.zcloud.basic.info.api.RzUserRecordServiceI;
import com.zcloud.basic.info.command.RzUserRecordAddExe;
import com.zcloud.basic.info.command.RzUserRecordRemoveExe;
import com.zcloud.basic.info.command.RzUserRecordUpdateExe;
import com.zcloud.basic.info.command.query.RzUserRecordQueryExe;
import com.zcloud.basic.info.dto.RzUserRecordAddCmd;
import com.zcloud.basic.info.dto.RzUserRecordPageQry;
import com.zcloud.basic.info.dto.RzUserRecordListQry;
import com.zcloud.basic.info.dto.RzUserRecordUpdateCmd;
import com.zcloud.basic.info.dto.clientobject.RzUserRecordCO;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * web-app
 *
 * @Author SondonYong
 * @Date 2025-12-05 14:00:37
 */
@Service
@AllArgsConstructor
public class RzUserRecordServiceImpl implements RzUserRecordServiceI {
    private final RzUserRecordAddExe rzUserRecordAddExe;
    private final RzUserRecordUpdateExe rzUserRecordUpdateExe;
    private final RzUserRecordRemoveExe rzUserRecordRemoveExe;
    private final RzUserRecordQueryExe rzUserRecordQueryExe;

    @Override
    public PageResponse<RzUserRecordCO> listPage(RzUserRecordPageQry qry) {
        return rzUserRecordQueryExe.execute(qry);
    }

    @Override
    public MultiResponse<RzUserRecordCO> list(RzUserRecordListQry qry) {
        return rzUserRecordQueryExe.execute(qry);
    }

    @Override
    public SingleResponse<RzUserRecordCO> getInfoById(Long id) {
        return rzUserRecordQueryExe.execute(id);
    }

    @Override
    public SingleResponse add(RzUserRecordAddCmd cmd) {
        rzUserRecordAddExe.execute(cmd);
        return SingleResponse.buildSuccess();
    }

    @Override
    public void edit(RzUserRecordUpdateCmd cmd) {
        rzUserRecordUpdateExe.execute(cmd);
    }

    @Override
    public void remove(Long id) {
        rzUserRecordRemoveExe.execute(id);
    }

    @Override
    public void removeBatch(Long[] ids) {
        rzUserRecordRemoveExe.execute(ids);
    }
}

